Skip to main content
POST
/
context-documents
/
conflicts
/
{conflict_id}
/
decide
Approve or reject a pending conflict
curl --request POST \
  --url https://api.hyperspell.com/context-documents/conflicts/{conflict_id}/decide \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "rationale": "<string>"
}
'
{
  "id": 123,
  "tree_id": 123,
  "canonical_path": "<string>",
  "derived_path": "<string>",
  "summary": "<string>",
  "canonical_excerpt": "<string>",
  "derived_excerpt": "<string>",
  "sources": [
    {
      "type": "<string>",
      "title": "<string>",
      "url": "<string>",
      "chunk_id": "<string>",
      "excerpt": ""
    }
  ],
  "status": "<string>",
  "rationale": "<string>",
  "decided_by": "<string>",
  "decided_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "canonical_content": "<string>",
  "derived_content": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Path Parameters

conflict_id
integer
required

Body

application/json
action
string
required

'approve' or 'reject'

rationale
string | null

Response

Successful Response

id
integer
required
tree_id
integer
required
canonical_path
string
required
derived_path
string
required
summary
string
required
canonical_excerpt
string
required
derived_excerpt
string
required
sources
ConflictSource · object[]
required
status
string
required
rationale
string | null
required
decided_by
string | null
required
decided_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
canonical_content
string | null
derived_content
string | null